
# Messaggi di errore standard - ResponseOutcome

1 = Erro
90401 = O campo é obrigatório
90402 = O campo é vazio (nome vazio não é válido)
90403 = O campo é fora do range
90404 = O campo não é válido
90405 = O campo é overflow
90406 = O valor da moeda não é válido
90407 = O tipo do campo não é válido (cast exception)
90408 = Erro interno, o método não é válido
90409 = O código do idioma é obrigatório
90410 = O cliente não é válido
90411 = O cliente não é válido (eliminado)
90412 = O código da instância é obrigatório
90413 = A instância não é válida
90414 = A instância não é válida (eliminada)
90415 = A instância não é válida (não existe)
90416 = O código da tecnologia é obrigatório
90417 = O ID do cliente é obrigatório
90418 = A tecnologia não existe
90419 = A tecnologia não é válida
90420 = A tecnologia não é válida (eliminada)
90421 = Controle da tabela do dispositivo registrado (integridade falhou)
90422 = Controle da tabela do registo (integridade falhou)
90423 = O código do registo não foi encontrado 
90424 = O limite do código do registo é overflow
90425 = O código do registo não tem um código da área válido
90426 = O código do registo não foi encontrado (eliminado)
90427 = Pre-registo falhou, o dispositivo não é válido
90428 = A resolução da tela não é válido
90429 = A resolução da tela não foi encontrado
90430 = A área não é válida
90431 = A área não é válida (eliminada)
90432 = A área não é válida (regra de ativação - restrição)
90433 = O parâmetro 'zoneCode' é obrigatório
90434 = Não é permitido mudar a área
90435 = O perfil não foi encontrado
90436 = O perfil não foi encontrado (eliminado)
90437 = O perfil é sem associação para um pacote
90438 = O pacote não foi encontrado
90439 = O pacote não é válido
90440 = O pacote não é válido (eliminado)
90441 = O pacote é sem serviço
90442 = O pacote e os seus serviços foi cancelado
90442 = O pacote não corresponde com a área de registo
90444 = Nenhum pacotes foi ativados para este tecnologia
90445 = Nenhum associação tecnologia/tela foi encontrada
90446 = O tamanho do fundo não é válido
90447 = O código do fundo não foi encontrado
90448 = Nenhum associação  technologia/tela/fundo foi encontrada
90449 = (Normalizada) O código da resolução da tela não é válido
90450 = O dispositivo não é válido, verifique o registo
90451 = O dispositivo não é válido, verifique o registo (eliminado)
90452 = O dispositivo não é válido, completar o registo
90453 = O dispositivo não é válido, completar o registo com um código
90454 = O número maximo do dispositivo foi chegou
90455 = Chegou muitos menu válido para este instância
90456 = Nenhum menu válido foi encontrado para este instância
90457 = A estrutura do menu não é válida, raiz não encontrada
90458 = A estrutura do menu não é válida, elementos não encontrados
90459 = A estrutura do menu não é válida, módulo não encontrado
90460 = A estrutura do menu não é válida, tema não encontrado
90461 = A estrutura do menu não é válida, raiz sem filho
90462 = A estrutura do menu não é válida, nenhum serviços foi encontrado para este área
90463 = A estrutura do menu não é válida, elementos sem imagens foi encontrados
90464 = A estrutura do menu não é válida, elementos sem válido renderização foi encontrados
90465 = A estrutura do menu não é válida, elemento pai não foi encontrado
90466 = A estrutura do menu não é válida, o app não foi encontrado

90470 = Nenhum ficheiros para carregar
90471 = Erro no carregamento do ficheiro; não sobrescrever
90472 = Erro no carregamento do ficheiro; ficheiro duplicado
90473 = Erro no carregamento do ficheiro!
90474 = Erro no carregamento do ficheiro; não pode screver
90475 = O código do grupo não é válido
90476 = O código do grupo é obrigatório
90477 = O código do grupo não é válido (muitos record)
90478 = O código do grupo não foi encontrado
90479 = Erro na criação da pasta
90480 = Carregamento tipo recurso não é válido ou não é gerido
90481 = A coordena da galeria não é válida
90482 = A extensão da imagem não é válida para o tipo selecionado
90483 = A imagem não é válida; info não é válida
90484 = Recurso ficheiro duplicado
90485 = O campo do credenciais não foi encontrado
90486 = Username/senha não é válido
90487 = Username/senha não é válido (muitos record)
90488 = A regra não é válida
90489 = A regra não é válida (muitos record)
90490 = O formato do ficheiro não é válido
90491 = Query vazia
90492 = SQL erro
90493 = Coluna não corresponde
90494 = O tipo draft não é válido
90495 = O usuário não é válido (não foi encontrado)

90510 = Documento XML mal-formato
90511 = O elemento XML é vazio
90513 = Erro compilando o menu interface XML
90514 = Erro compilando o tema XML
90520 = A versão do protocolo é obrigatória
90521 = A versão do protocolo não é válida
90522 = A versão do protocolo è fora do range
90530 = Dados sem possibilidade de mudar passou, controle o sistema!
90531 = O Id do cliente (único) não é válido, controle a seqüência do processo do cliente
90532 = O Id do dispositivo é obrigatório
90533 = A classe da techonologia não corresponde com o Id  único do cliente
90534 = Dados sem possibilidade de mudar não corresponde com o Id  único do cliente
90535 = Id do dispositivo gerado (velho clientId ) é obrigatório
90560 = O recurso não existe
90561 = O recurso não é válido
90562 = O recurso não é válido (eliminado)
90563 = O recurso não é válido, o ficheiro não foi encontrado
90564 = O tema não é válido
90565 = O tema não é válido (eliminado)
90566 = O tema não é válido (não pode ser publicado)
90567 = A propriedade gráfica do tema não é válida
90568 = A propriedade gráfica do tema não é válida (eliminado)
90569 = A propriedade gráfica do tema foi encontrada
90570 = A propriedade gráfica para o menu não foi encontrada
90571 = A propriedade gráfica para o menu não foi encontrada (eliminado)
90572 = Informações da propriedade gráfica para menu/tela não foi encontrada
90573 = Informações da propriedade gráfica para menu/tela não foi encontrada (eliminado)
90574 = A propriedade gráfica da imagem do fundo para menu/tela não foi encontrada
90575 = Instância/Technologia não existe
90576 = Instância/Technologia não é válida
90577 = Instância/Technologia não é válida (eliminado)
90578 = O tema não é válido para este instância
90579 = O id do recurso não é válido (não encontrado)
90580 = O retorno XML não é válido
90581 = O valor de retorno XML não é válido, esperando um número
90582 = O valor de retorno não é válido
90583 = O retorno do Id serviço não é válido
90584 = O retorno do Id serviço não foi encontrado
90585 = O valor de data/hora não foi encontrado
90586 = O valor de data/hora não é válido
90587 = A ação de reetorno não é válida em XML
90588 = O Id do serviço não é válido
90589 = O Id do serviço não é válido (eliminado)
90590 = O Id do serviço não é válido para retorno de créditos
90591 = O valor dos créditos restante não é válido
90592 = O valor dos créditos usado não é válido
90593 = Serviço on demand não é válido
90594 = Serviço não é compatível com a instância
90595 = Nenhum pacotes para este serviço foi encontrado
90596 = Nenhum renovação para este serviço foi encontrado
90597 = O serviço não é on demand
90598 = O serviço não é on demand (eliminado)
90599 = Serviço/categoria não é válido
90600 = I/O erro contactando o url
90601 = Url exception
90602 = Resposta no texto/conteúdo não é válida  (text/xml)
90603 = Resposta Null a partir de Servidor
90604 = JDOM Exclusão a partir de Servidor
90605 = XML não é válido a partir de Servidor
90606 = XML tag não é válido a partir de Servidor
90607 = Record de notificação não foi encontrado em la tabela
90608 = O código do Market ou Id não é válido para este instância
90609 = O código do Market e o Id não corresponde no mesmo market
90610 = Servidor ko http código resposta
90611 = Indefinido código de retorno e mensegem
90612 = Input XML requesta é null
90613 = Input XML requesta não é válida
90614 = Input XML requesta não é válida; FILTRO é vazio
90615 = Input XML requesta não é válida; MENESGEM é vazio
90616 = Input XML requesta não é válida; Instância-Código é obrigatório
90617 = Input XML requesta não é válida; Instância-Código não é válido
90620 = O canal do Mensagem Push não é válido
90621 = O canal do Mensagem Push não é válido (eliminado)
90622 = O canal do Mensagem Push não é gerido
90623 = O Mensagem Push é muito longo
90624 = O objetivo para instrução do Mensagem Push é null
90625 = O objetivo para instrução do Mensagem Push não é válido
90626 = O Id da galeria não é válido
90627 = Input XML requesta não é válido; BODY é null
90629 = Input XML requesta não é válido; FILTRO é inconsistente
90629 = Push, certificado ficheiro não foi encontrado
90630 = Mensagem Push não foi encontrado em database
90631 = Canal Push não foi configurado
90632 = Configuração do canal push não é válida
90633 = Erro na configuração do canal push
90634 = Processador Push não foi encontrado para categoria do canal
90635 = O mensagem de retorno não é válido
90636 = Umo ou mais comandos Push não é válido, controle XML
90637 = Umo ou mais tópico não é válido, controle comando XML
90638 = Tópico obrigatório não foi encontrado, controle comando XML
90639 = Muitos comandos encontrado na lista
90640 = Google auth key null ou não é válida
90650 = Um Ip só em resposta no header
90651 = Ficheiro GeoIp dados não foi encontrado
90652 = O IP é obrigatório
90653 = O IP não é válido
90654 = GeoIp locadores é null
90656 = GeoIp locais é null
90657 = GeoIp método não é válido
90720 = A ação Push não é válido
90721 = O dispositivo não é registrado para o serviço push, a operação de atualização não é válida
90723 = O dispositivo não é registrado para o serviço push (eliminado), a operação de atualização não é válida
90730 = O usuário do provider não é válido, controle a configuração da instância ou adiciona um parâmetro call
90731 = O usuário do provider não é válido (eliminado), controle a configuração da instância
90732 = O usuário do provider MyDesktopMate não é válido
90733 = O usuário do provider MyDesktopMate não é válido (eliminado)
90734 = O usuário do dispositivo não é válido (database corrupto)
90735 = O usuário do provider não foi encontrado, controle o parâmetro do URL ou a configuração do servidor
90736 = O usuário do provider não é válido, controlle o parâmetro do call ou a configuração do servidor
90740 = Requesta de exportar é expirada
90741 = Exportar o ticket ligado não foi encontrado
90742 = Ficheiro para exportar não foi encontrado
90748 = O token da sessão não é válido (muito curto, min 10)
90749 = O token da sessão não é válido (muito longo, max 32 )
90750 = O token da sessão não é válido (não foi encontrado)
90751 = O código do evento não é válido
90800 = O método HTTP GET method GET não é suportado para este URL
90801 = Especificar uma instrução valida em requesta de chamada 
90802 = A instrução em requesta de chamada não é válida
90803 = Diferença entre o valor do header e query para a instrução
90804 = A classe requesta não foi encontrada
90805 = A classe resposta não foi encontrada
90806 = Erro interno, uma classe não suportada em método
90807 = Erro interno, tipo classe não suportado
90808 = Exclusão interna de segurancia
90809 = Erro interno, o método não foi encontrado
90810 = Erro interno, erro de instanciação da classe
90811 = Erro interno, o acesso pela classe é ilegal
90812 = Erro interno, o tipo de array em método não é suportado
90813 = Erro interno, tipo classe do array não é suportado
90814 = O valor não é válido, cast exclusão
90817 = Erro abrendo servlet print writer
90818 = Erro abrendo servlet output stream
90819 = Erro na leitura de input stream
90820 = Uma resposta Null não é um resposta válida
90821 = Resposta class não corresponde
90830 = Sincronização com servidor em progreso, tente mais tarde
90831 = Sincronização com servidor em progresos (superadmin), tente mais tarde
90840 = O valor para 'viewsize' não é válido: usar LARGURAxLONGURA
90841 = Requesta tipo Imagem não é válida
90842 = Requesta tipo Imagem não é válida
90850 = Cliente/Instância sem correspondencia
90851 = Erro dados, nenhum idioma foi encontrado para este cliente 
90852 = Erro dados, nenhum idioma foi encontrado para esta instância
90853 = Erro dados, nenhum tecnologia foi encontrada
90854 = Erro dados, nenhum área foi encontrada
90855 = O cliente objetivo ja existe
90856 = O cliente objetivo ja existe (eliminado)
90857 = A instância objetivo ja existe
90858 = A instância objetivo ja existe (eliminado)
90859 = Objetivo, idioma cliente não é válido
90860 = Objetivo, idioma instância não é válido
90861 = Objetivo, a technologia não é válida
90862 = Objetivo, a área não é válida
90863 = Muitos records
90864 = Erro comparar fonte/objetivo record
90865 = A lista da Fonte e do Objetivo é vazia
90866 = O grupo de destino ja existe
90970 = Aplicação bloqueado para este dispositivo
90980 = Erro interno, a requesta precisa ser implementada para completar a operação
90981 = A Classe não é gerida a partir do database
90982 = O campo do Database não é mapeados
90983 = Erro interno, a requesta é null
90984 = A fase requesta é null
90985 = A fase requesta não é válida
90986 = MultipartFormData requesta não é válida
90987 = MultipartFormData requesta erro carregamento
90988 = A requesta não é válida MultipartFormData
90989 = A Classe não é gerida a partir do database no campo valor
90990 = Exclusão serveridor SQL (timeout)
90991 = Erro interno do servidor 
90992 = Exclusão do Servidor manager 
90993 = Problema contactando o servidor
90994 = Exclusão servidor SQL 
90995 = Exclusão inesperada
90996 = O Serviço não é ativo
90997 = Sessão null ou não é válida
90998 = Requesta não é válida
90999 = Resposta não é válida

50001 = A Requesta XML não é válida: 'type' desconhecido
50002 = A Requesta XML não é válida, verificar XML
50003 = A Requesta XML não é válida, adicionar 'registration' em XML
50010 = Erro interno do servidor 
50011 = Erro interno do servidor (inesperada)
50012 = Erro interno do servidor (database)
50020 = Master estado operation lista: 'statement' desconhecido
50021 = Master estado: node info é null
50101 = Adiante XML requesta é null
50103 = Adiante XML resposta é null

80100 = SSO provider não é configurado
80101 = SSO provider client configuração não é válida
80102 = SSO provider client configuração com erro
80110 = SSO mobile client não é configurado
80111 = SSO mobile client configuração não é válida
80112 = SSO mobile client configuração com erro
80120 = SSO erro
80121 = SSO login erro
80122 = SSO logout erro
80123 = SSO mudar senha erro
80124 = SSO pegar token info erro
80125 = SSO pegar usuário info erro
80126 = Credenciais com erro

80400 = Casal assinatura/renovação não foi encontrado
80401 = Renovação não foi encontrado para a Renovação requesta
80402 = Uma-vez código não foi encontrado para a Renovação requesta
80403 = Uma-vez código ja foi usado para a Renovação requesta
80404 = DesktopMate ativação não foi encontrado
80405 = IMEI código não tem correspondencia
80406 = Código do Renovação não tem correspondencia
80407 = O valor não é válido para o campo 'status', aceitou 'OK','BURN'
80408 = A Renovaçãonão não é válida,  a instância não tem correspondencia

91000 = Phone Number not Valid
71001 = Date Missing or invalid
71002 = Km Useful is a mandatory field
71003 = Km Useless is a mandatory field
71004 = Km Out Threshold is a mandatory field
71005 = Type is a mandatory field
71008 = Session Token is Invalid

0 = Ok
# 0 = Ok, ja notificado
# 0 = Os dados não foi encontrados
